Cloudera Manager 5.0.6

Cloudera Manager 5.0.6

时间:2015-07-13 17:21来源:网络整理 作者:KKWL 点击:
Cloudera Manager requires resources of the following types: Disk Space Cloudera Manager Server 5 GB on the partition hosting /var. 500 MB on the partition hosting /usr. For parcels, the space required depends on the number of parcels you do

Cloudera Manager requires resources of the following types:

  • Disk Space
  • Cloudera Manager Server
  • 5 GB on the partition hosting /var.
  • 500 MB on the partition hosting /usr.
  • For parcels, the space required depends on the number of parcels you download to the Cloudera Manager Server and distribute to Agent hosts. You can download multiple parcels of the same product, of different versions and builds. If you are managing multiple clusters, there will be only one parcel of a given product/version/build/distribution downloaded on the Cloudera Manager Server—not one per cluster. In the local parcel repository on the Cloudera Manager Server the approximate sizes of the various parcels are as follows:
  • Cloudera Management Service - The Host Monitor and Service Monitor databases are stored on the partition hosting /var. Ensure that you have at least 20 GB available on this partition. For further information, see .
  • Agents - On Agent hosts each unpacked parcel requires about three times the space of the downloaded parcel on the Cloudera Manager Server. By default unpacked parcels are located in /opt/cloudera/parcels.
  • RAM - 4 GB is appropriate for most cases, and is required when using Oracle databases. 2 GB may be sufficient for non-Oracle deployments involving fewer than 100 hosts. However, if you want to run the Cloudera Manager Server on a machine with 2 GB of RAM, you must tune down its maximum heap size (by modifying -Xmx in /etc/default/cloudera-scm-server). Otherwise the kernel may kill the Server for consuming too much RAM.
  • Python - Cloudera Manager uses Python. All supported operating systems contain a Python version 2.4 or higher. Cloudera Manager and CDH 4 require at least Python 2.4, but Hue in CDH 5 requires Python 2.6 or 2.7.
    ------分隔线----------------------------